Get all local catalogs
get
/fscmRestApi/resources/11.13.18.05/localCatalogs
Request
Query Parameters
-
expand: string
When this parameter is provided, the specified children are included in the resource payload (instead of just a link). The value of this query parameter is "all" or "". More than one child can be specified using comma as a separator. Example: ?expand=Employees,Localizations. Nested children can also be provided following the format "Child.NestedChild" (Example: ?expand=Employees.Managers). If a nested child is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?expand=Employees.Managers" is the same as "?expand=Employees,Employees.Managers" (which will expand Employees and Managers).
-
fields: string
This parameter filters the resource fields. Only the specified fields are returned, which means that if no fields are specified, no fields are returned (useful to get only the links). If an indirect child resource is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?fields=Employees.Managers:Empname" is the same as "?fields=;Employees:;Employees.Managers:Empname" (which will only return the "Empname" field for Managers). the value of this query parameter is a list of resource fields. The attribute can be a direct (Example: Employees) or indirect (Example: Employees.Managers) child. It cannot be combined with expand query parameter. If both are provided, only fields will be considered.
Format: ?fields=Attribute1,Attribute2
Format for fields in child resource: ?fields=Accessor1:Attribute1,Attribute2 -
finder: string
Used as a predefined finder to search the collection.
Format ?finder=<finderName>;<variableName>=<variableValue>,<variableName2>=<variableValue2>
The following are the available finder names and corresponding finder variables- PrimaryKey Finds local catalogs by the specified primary key.
Finder Variables- CatalogId; integer; Unique identifier of the catalog.
- findById Finds local catalogs by the specified identifier.
Finder Variables- CatalogId; integer; Unique identifier of the catalog.
- PrimaryKey Finds local catalogs by the specified primary key.
-
limit: integer
This parameter restricts the number of resources returned inside the resource collection. If the limit exceeds the resource count then the framework will only return the available resources.
-
links: string
This parameter can be used to show only certain links while accessing a singular resource or a resource collection. The parameter value format is a comma-separated list of : <link_relation>
Example:
self,canonical -
offset: integer
Used to define the starting position of the resource collection. If offset exceeds the resource count then no resources are returned. Default value is 0.
-
onlyData: boolean
The resource item payload will be filtered in order to contain only data (no links section, for example).
-
orderBy: string
This parameter orders a resource collection based on the specified fields. The parameter value is a comma-separated string of attribute names, each optionally followed by a colon and "asc" or "desc". Specify "asc" for ascending and "desc" for descending. The default value is "asc". For example, ?orderBy=field1:asc,field2:desc
-
q: string
This query parameter defines the where clause. The resource collection will be queried using the provided expressions. The value of this query parameter is one or more expressions. Example: ?q=Deptno>=10 and <= 30;Loc!=NY
Format: ?q=expression1;expression2 -
totalResults: boolean
The resource collection representation will include the "estimated row count" when "?totalResults=true", otherwise the count is not included. The default value is "false".
Header Parameters
-
Metadata-Context: string
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version: string
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
Default Response
The following table describes the default response for this task.
Headers
-
Metadata-Context:
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version:
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Root Schema : localCatalogs
Type:
Show Source
object-
count(required): integer
The number of resource instances returned in the current range.
-
hasMore(required): boolean
Indicates whether more resources are available on the server than the subset returned in the response. If the value is true, then there are more resources to retrieve from the server. The default value is false.
-
items: array
Items
Title:
ItemsThe items in the collection. -
limit(required): integer
The actual paging size used by the server.
-
links(required): array
Links
Title:
LinksThe link relations associated with the resource instance. -
offset(required): integer
The offset value used in the current page.
-
totalResults: integer
The estimated row count when "?totalResults=true", otherwise the count is not included.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : localCatalogs-item-response
Type:
Show Source
object-
AgreementDimension: string
Title:
Agreement DimensionMaximum Length:20Default Value:INCLUDE_ALLIndicates whether all or specific agreements are included or excluded from the catalog. Valid values are INCLUDE_ALL, INCLUDE_SPECIFIC, EXCLUDE_SPECIFIC, EXCLUDE_SOURCED. These values stand for include all agreements, include specific agreements, exclude specific agreements, and exclude all items sourced through agreements, respectively. -
agreements: array
Agreements
Title:
AgreementsAgreements that are specifically included in or excluded from the local catalog. -
CatalogDescription: string
Title:
DescriptionMaximum Length:240Description of the catalog. -
CatalogId: integer
(int64)
Read Only:
trueUnique identifier of the catalog. -
CatalogName: string
Title:
Catalog NameMaximum Length:30Name of the local catalog. -
CatalogType: string
Title:
Catalog TypeRead Only:trueMaximum Length:80Type of the catalog. -
CatalogTypeCode: string
Read Only:
trueMaximum Length:15Default Value:LOCALCode that identifies the catalog type. Value is always LOCAL. -
categories: array
Categories
Title:
CategoriesCategories that are specifically included in or excluded from the local catalog. -
CategoryDimension: string
Title:
Category DimensionMaximum Length:20Default Value:INCLUDE_ALLIndicates whether items from all or specific categories are included or excluded from the catalog. Valid values are INCLUDE_ALL, INCLUDE_SPECIFIC, EXCLUDE_SPECIFIC. These values stand for include items from all categories, include items from specific categories, exclude items from specific categories, respectively. -
CreatedBy: string
Title:
Created ByRead Only:trueMaximum Length:64User who created the local catalog. -
CreationDate: string
(date-time)
Title:
Creation DateRead Only:trueThe date when the local catalog was created. -
IncludeMasterItemsFlag: boolean
Title:
Include all master itemsMaximum Length:1Default Value:falseIndicates whether the catalog includes all master items. Contains one of the following values: true or false. If true, then the catalog includes master items. If false, then the catalog doesn't include master items. This attribute doesn't have a default value. -
LastUpdateDate: string
(date-time)
Title:
Last Updated DateRead Only:trueThe date when the local catalog was last updated. -
LastUpdatedBy: string
Title:
Last Updated ByRead Only:trueMaximum Length:64User who last updated the local catalog. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
ProcurementBU: string
Title:
Procurement BUMaximum Length:240Procurement business unit in which the catalog is created. -
ProcurementBUId: integer
(int64)
Unique identifier of the procurement business unit in which the catalog is created.
Nested Schema : Agreements
Type:
arrayTitle:
AgreementsAgreements that are specifically included in or excluded from the local catalog.
Show Source
Nested Schema : Categories
Type:
arrayTitle:
CategoriesCategories that are specifically included in or excluded from the local catalog.
Show Source
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : localCatalogs-agreements-item-response
Type:
Show Source
object-
Agreement: string
Title:
AgreementRead Only:trueMaximum Length:20Number assigned to the agreement. -
AgreementHeaderId: integer
(int64)
Unique identifier of the agreement.
-
AssignmentType: string
Title:
Assignment TypeRead Only:trueMaximum Length:20Default Value:AGREEMENTType of assignment for the local catalog. The valid value is AGREEMENT for an agreement assignment. -
CatalogAssignmentId: integer
(int64)
Read Only:
trueUnique identifier of the agreement assignment to the catalog. -
CatalogId: integer
(int64)
Read Only:
trueUnique identifier of the catalog. -
CreatedBy: string
Title:
Created ByRead Only:trueMaximum Length:64User who added the agreement to the catalog. -
CreationDate: string
(date-time)
Title:
Creation DateRead Only:trueThe date when the agreement was added to the catalog. -
Description: string
Title:
DescriptionRead Only:trueMaximum Length:240Brief description about the agreement. -
IsAgreementAvailable: string
Read Only:
trueIndicates whether the agreement is available for catalog assignment. Contains one of these values: true or false. If true, then the agreement is available. If false, then the agreement is no longer available. This attribute doesn't have a default value. -
LastUpdateDate: string
(date-time)
Title:
Last Updated DateRead Only:trueThe date when the agreement assignment was last updated. -
LastUpdatedBy: string
Title:
Last Updated ByRead Only:trueMaximum Length:64User who last updated the agreement assignment. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
Supplier: string
Title:
SupplierRead Only:trueMaximum Length:360Name of the supplier on the agreement. -
SupplierSite: string
Title:
Supplier SiteRead Only:trueMaximum Length:240Name of the supplier site on the agreement.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : link
Type:
Show Source
object-
href: string
Title:
hyperlink referenceThe URI to the related resource. -
kind: string
Title:
kindAllowed Values:[ "collection", "item", "describe", "other" ]The kind of the related resource. -
name: string
Title:
nameThe name of the link to the related resource. -
properties: object
properties
-
rel: string
Title:
relationAllowed Values:[ "self", "lov", "parent", "canonical", "child", "enclosure", "action", "custom" ]The name of the relation to the resource instance. Example: self.
Nested Schema : properties
Type:
Show Source
object-
changeIndicator: string
Change indicator or the ETag value of the resource instance.
Nested Schema : localCatalogs-categories-item-response
Type:
Show Source
object-
AssignmentType: string
Title:
Assignment TypeMaximum Length:20Type of assignment for the local catalog. Valid values are PURCHASING_CATEGORY for a purchasing category assignment and BROWSING_CATEGORY for a browsing category assignment. -
CatalogAssignmentId: integer
(int64)
Read Only:
trueUnique identifier of the category assignment to the catalog. -
CatalogId: integer
(int64)
Read Only:
trueUnique identifier of the catalog. -
CategoryId: integer
(int64)
Unique identifier of the category.
-
CategoryName: string
Title:
CategoryMaximum Length:255Name of the category. -
CreatedBy: string
Title:
Created ByRead Only:trueMaximum Length:64User who added the category to the catalog. -
CreationDate: string
(date-time)
Title:
Creation DateRead Only:trueThe date when the category was added to the catalog. -
Description: string
Title:
DescriptionRead Only:trueMaximum Length:255Description of the category. -
LastUpdateDate: string
(date-time)
Title:
Last Updated DateRead Only:trueThe date when the category assignment was last updated. -
LastUpdatedBy: string
Title:
Last Updated ByRead Only:trueMaximum Length:64User who last updated the category assignment. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source